/*
* This file contains all the necessary settings for the IQS9150 and this file can
* be changed from the GUI or edited here
* File:   IQS9150_init.h
* Author: Azoteq
*/ 

#ifndef IQS9150_INIT_H
#define IQS9150_INIT_H

/* Change the ALP ATI Compensation */
/* Memory Map Position 0x115C - 0x1175 */
#define ALP_COMPENSATION_RX0_0                   0xE5
#define ALP_COMPENSATION_RX0_1                   0x12
#define ALP_COMPENSATION_RX1_0                   0xCC
#define ALP_COMPENSATION_RX1_1                   0x12
#define ALP_COMPENSATION_RX2_0                   0xE1
#define ALP_COMPENSATION_RX2_1                   0x12
#define ALP_COMPENSATION_RX3_0                   0xE5
#define ALP_COMPENSATION_RX3_1                   0x12
#define ALP_COMPENSATION_RX4_0                   0xE1
#define ALP_COMPENSATION_RX4_1                   0x12
#define ALP_COMPENSATION_RX5_0                   0xD6
#define ALP_COMPENSATION_RX5_1                   0x12
#define ALP_COMPENSATION_RX6_0                   0xC5
#define ALP_COMPENSATION_RX6_1                   0x12
#define ALP_COMPENSATION_RX7_0                   0xD4
#define ALP_COMPENSATION_RX7_1                   0x12
#define ALP_COMPENSATION_RX8_0                   0xE1
#define ALP_COMPENSATION_RX8_1                   0x12
#define ALP_COMPENSATION_RX9_0                   0xD6
#define ALP_COMPENSATION_RX9_1                   0x12
#define ALP_COMPENSATION_RX10_0                  0xEE
#define ALP_COMPENSATION_RX10_1                  0x12
#define ALP_COMPENSATION_RX11_0                  0xF0
#define ALP_COMPENSATION_RX11_1                  0x12
#define ALP_COMPENSATION_RX12_0                  0xD1
#define ALP_COMPENSATION_RX12_1                  0x12

/* Change the I2C Slave Address */
/* Memory Map Position 0x1176 - 0x1177 */
#define I2C_KEY                                  0x00
#define I2C_SLAVE_ADR                            0x00

/* Change the Settings Version Numbers */
/* Memory Map Position 0x1178 - 0x1179 */
#define MINOR_VERSION                            0x00
#define MAJOR_VERSION                            0x00

/* Change the ATI Multipliers / Dividers */
/* Memory Map Position 0x117A - 0x1195 */
#define TP_ATI_MULTDIV_L                         0x21
#define TP_ATI_MULTDIV_H                         0x4B
#define ALP_ATI_COARSE_RX0_L                     0x87
#define ALP_ATI_COARSE_RX0_H                     0x5C
#define ALP_ATI_COARSE_RX1_L                     0x87
#define ALP_ATI_COARSE_RX1_H                     0x5C
#define ALP_ATI_COARSE_RX2_L                     0x87
#define ALP_ATI_COARSE_RX2_H                     0x5A
#define ALP_ATI_COARSE_RX3_L                     0x87
#define ALP_ATI_COARSE_RX3_H                     0x5A
#define ALP_ATI_COARSE_RX4_L                     0x87
#define ALP_ATI_COARSE_RX4_H                     0x5A
#define ALP_ATI_COARSE_RX5_L                     0x87
#define ALP_ATI_COARSE_RX5_H                     0x5A
#define ALP_ATI_COARSE_RX6_L                     0x87
#define ALP_ATI_COARSE_RX6_H                     0x5C
#define ALP_ATI_COARSE_RX7_L                     0x87
#define ALP_ATI_COARSE_RX7_H                     0x5A
#define ALP_ATI_COARSE_RX8_L                     0x87
#define ALP_ATI_COARSE_RX8_H                     0x5A
#define ALP_ATI_COARSE_RX9_L                     0x87
#define ALP_ATI_COARSE_RX9_H                     0x5A
#define ALP_ATI_COARSE_RX10_L                    0x87
#define ALP_ATI_COARSE_RX10_H                    0x5A
#define ALP_ATI_COARSE_RX11_L                    0x87
#define ALP_ATI_COARSE_RX11_H                    0x5A
#define ALP_ATI_COARSE_RX12_L                    0x87
#define ALP_ATI_COARSE_RX12_H                    0x5C

/* Change the ATI Settings */
/* Memory Map Position 0x1196 - 0x11A1 */
#define TP_ATI_TARGET_0                          0xFA
#define TP_ATI_TARGET_1                          0x00
#define ALP_ATI_TARGET_0                         0x2C
#define ALP_ATI_TARGET_1                         0x01
#define ALP_BASE_TARGET_0                        0x32
#define ALP_BASE_TARGET_1                        0x00
#define TP_NEG_DELTA_REATI_0                     0x32
#define TP_NEG_DELTA_REATI_1                     0x00
#define TP_POS_DELTA_REATI_0                     0xE8
#define TP_POS_DELTA_REATI_1                     0x03
#define TP_REF_DRIFT_LIMIT                       0x32
#define ALP_LTA_DRIFT_LIMIT                      0x14

/* Change the Sampling Periods and Timing */
/* Memory Map Position 0x11A2 - 0x11BB */
#define ACTIVE_MODE_SAMPLING_PERIOD_0            0x0A
#define ACTIVE_MODE_SAMPLING_PERIOD_1            0x00
#define IDLE_TOUCH_MODE_SAMPLING_PERIOD_0        0x32
#define IDLE_TOUCH_MODE_SAMPLING_PERIOD_1        0x00
#define IDLE_MODE_SAMPLING_PERIOD_0              0x32
#define IDLE_MODE_SAMPLING_PERIOD_1              0x00
#define LP1_MODE_SAMPLING_PERIOD_0               0x32
#define LP1_MODE_SAMPLING_PERIOD_1               0x00
#define LP2_MODE_SAMPLING_PERIOD_0               0x32
#define LP2_MODE_SAMPLING_PERIOD_1               0x00
#define STATIONARY_TOUCH_TIMEOUT_0               0x0A
#define STATIONARY_TOUCH_TIMEOUT_1               0x00
#define IDLE_TOUCH_MODE_TIMEOUT_0                0x3C
#define IDLE_TOUCH_MODE_TIMEOUT_1                0x00
#define IDLE_MODE_TIMEOUT_0                      0x05
#define IDLE_MODE_TIMEOUT_1                      0x00
#define LP1_MODE_TIMEOUT_0                       0x28
#define LP1_MODE_TIMEOUT_1                       0x00
#define ACTIVE_MODE_TIMEOUT_0                    0xDC
#define ACTIVE_MODE_TIMEOUT_1                    0x05
#define REATI_RETRY_TIME                         0x05
#define REF_UPDATE_TIME                          0x08
#define I2C_TIMEOUT_0                            0x64
#define I2C_TIMEOUT_1                            0x00
#define SNAP_TIMEOUT                             0x14
#define OPEN_TIMING                              0x00

/* Change the System Settings */
/* Memory Map Position 0x11BC - 0x11C1 */
#define SYSTEM_CONTROL_0                         0x03
#define SYSTEM_CONTROL_1                         0x00
#define CONFIG_SETTINGS_0                        0x2F
#define CONFIG_SETTINGS_1                        0x07
#define OTHER_SETTINGS_0                         0xA4
#define OTHER_SETTINGS_1                         0x00

/* Change the ALP Settings */
/* Memory Map Position 0x11C2 - 0x11CB */
#define ALP_SETUP_0                              0xFF
#define ALP_SETUP_1                              0xFF
#define ALP_SETUP_2                              0xFF
#define ALP_SETUP_3                              0xD3
#define ALP_TX_ENABLE_0                          0x00
#define ALP_TX_ENABLE_1                          0x00
#define ALP_TX_ENABLE_2                          0x00
#define ALP_TX_ENABLE_3                          0xFC
#define ALP_TX_ENABLE_4                          0xFF
#define ALP_TX_ENABLE_5                          0x0F

/* Change the Thresholds and Debounce Settings */
/* Memory Map Position 0x11CC - 0x11D3 */
#define TRACKPAD_TOUCH_SET_THRESHOLD             0x1E
#define TRACKPAD_TOUCH_CLEAR_THRESHOLD           0x16
#define ALP_THRESHOLD                            0x08
#define ALP_AUTOPROX_THRESHOLD                   0x08
#define ALP_SET_DEBOUNCE                         0x03
#define ALP_CLEAR_DEBOUNCE                       0x03
#define SNAP_SET_THRESHOLD                       0x32
#define SNAP_CLEAR_THRESHOLD                     0x32

/* Change the ALP Count and LTA Betas */
/* Memory Map Position 0x11D4 - 0x11D7 */
#define ALP_COUNT_BETA_LP1                       0x46
#define ALP_LTA_BETA_LP1                         0x04
#define ALP_COUNT_BETA_LP2                       0xB4
#define ALP_LTA_BETA_LP2                         0x64

/* Change the Hardware Settings */
/* Memory Map Position 0x11D8 - 0x11E1 */
#define TP_FRAC                                  0x28
#define TP_PERIOD1                               0x02
#define TP_PERIOD2                               0x02
#define ALP_FRAC                                 0x18
#define ALP_PERIOD1                              0x04
#define ALP_PERIOD2                              0x04
#define TRACKPAD_HARDWARE_SETTINGS_0             0x00
#define TRACKPAD_HARDWARE_SETTINGS_1             0x44
#define ALP_HARDWARE_SETTINGS_0                  0x40
#define ALP_HARDWARE_SETTINGS_1                  0x4B

/* Change the Trackpad Settings */
/* Memory Map Position 0x11E2 - 0x11F5 */
#define TRACKPAD_SETTINGS_0_0                    0x6B
#define TRACKPAD_SETTINGS_0_1                    0x1A
#define TRACKPAD_SETTINGS_1_0                    0x12
#define TRACKPAD_SETTINGS_1_1                    0x07
#define X_RESOLUTION_0                           0xD0
#define X_RESOLUTION_1                           0x07
#define Y_RESOLUTION_0                           0xBD
#define Y_RESOLUTION_1                           0x04
#define XY_DYNAMIC_FILTER_BOTTOM_SPEED_0         0x06
#define XY_DYNAMIC_FILTER_BOTTOM_SPEED_1         0x00
#define XY_DYNAMIC_FILTER_TOP_SPEED_0            0x7C
#define XY_DYNAMIC_FILTER_TOP_SPEED_1            0x00
#define XY_DYNAMIC_FILTER_BOTTOM_BETA            0x07
#define XY_DYNAMIC_FILTER_STATIC_FILTER_BETA     0x80
#define STATIONARY_TOUCH_MOV_THRESHOLD           0x14
#define FINGER_SPLIT_FACTOR                      0x03
#define X_TRIM_VALUE                             0x14
#define Y_TRIM_VALUE                             0x14
#define JITTER_FILTER_DELTA                      0x05
#define FINGER_CONFIDENCE_THRESHOLD              0x14

/* Change the Gesture Settings */
/* Memory Map Position 0x11F6 - 0x1217 */
#define GESTURE_ENABLE_0                         0x1F
#define GESTURE_ENABLE_1                         0xFF
#define GESTURE_ENABLE_2F_0                      0xFF
#define GESTURE_ENABLE_2F_1                      0x00
#define TAP_TOUCH_TIME_0                         0x96
#define TAP_TOUCH_TIME_1                         0x00
#define TAP_WAIT_TIME_0                          0x96
#define TAP_WAIT_TIME_1                          0x00
#define TAP_DISTANCE_0                           0x32
#define TAP_DISTANCE_1                           0x00
#define HOLD_TIME_0                              0x2C
#define HOLD_TIME_1                              0x01
#define SWIPE_TIME_0                             0x96
#define SWIPE_TIME_1                             0x00
#define SWIPE_X_DISTANCE_0                       0x2C
#define SWIPE_X_DISTANCE_1                       0x01
#define SWIPE_Y_DISTANCE_0                       0x96
#define SWIPE_Y_DISTANCE_1                       0x00
#define SWIPE_X_CONS_DIST_0                      0x64
#define SWIPE_X_CONS_DIST_1                      0x00
#define SWIPE_Y_CONS_DIST_0                      0x32
#define SWIPE_Y_CONS_DIST_1                      0x00
#define SWIPE_ANGLE                              0x25
#define SCROLL_ANGLE                             0x25
#define ZOOM_INIT_DIST_0                         0x64
#define ZOOM_INIT_DIST_1                         0x00
#define ZOOM_CONSECUTIVE_DIST_0                  0x0A
#define ZOOM_CONSECUTIVE_DIST_1                  0x00
#define SCROLL_INIT_DIST_0                       0x32
#define SCROLL_INIT_DIST_1                       0x00
#define SCROLL_CONSECUTIVE_DIST_0                0x05
#define SCROLL_CONSECUTIVE_DIST_1                0x00
#define PALM_GESTURE_THRESHOLD_0                 0x64
#define PALM_GESTURE_THRESHOLD_1                 0x00

/* Change the Rx/Tx Mapping */
/* Memory Map Position 0x1218 - 0x1245 */
#define RX_TX_MAP_0                              0x19
#define RX_TX_MAP_1                              0x0C
#define RX_TX_MAP_2                              0x18
#define RX_TX_MAP_3                              0x0B
#define RX_TX_MAP_4                              0x17
#define RX_TX_MAP_5                              0x0A
#define RX_TX_MAP_6                              0x16
#define RX_TX_MAP_7                              0x09
#define RX_TX_MAP_8                              0x15
#define RX_TX_MAP_9                              0x08
#define RX_TX_MAP_10                             0x14
#define RX_TX_MAP_11                             0x07
#define RX_TX_MAP_12                             0x13
#define RX_TX_MAP_13                             0x02
#define RX_TX_MAP_14                             0x12
#define RX_TX_MAP_15                             0x05
#define RX_TX_MAP_16                             0x11
#define RX_TX_MAP_17                             0x04
#define RX_TX_MAP_18                             0x10
#define RX_TX_MAP_19                             0x03
#define RX_TX_MAP_20                             0x0F
#define RX_TX_MAP_21                             0x06
#define RX_TX_MAP_22                             0x0E
#define RX_TX_MAP_23                             0x01
#define RX_TX_MAP_24                             0x0D
#define RX_TX_MAP_25                             0x00
#define RX_TX_MAP_26                             0x2B
#define RX_TX_MAP_27                             0x2A
#define RX_TX_MAP_28                             0x29
#define RX_TX_MAP_29                             0x28
#define RX_TX_MAP_30                             0x27
#define RX_TX_MAP_31                             0x26
#define RX_TX_MAP_32                             0x25
#define RX_TX_MAP_33                             0x24
#define RX_TX_MAP_34                             0x23
#define RX_TX_MAP_35                             0x22
#define RX_TX_MAP_36                             0x21
#define RX_TX_MAP_37                             0x20
#define RX_TX_MAP_38                             0x1F
#define RX_TX_MAP_39                             0x1B
#define RX_TX_MAP_40                             0x1D
#define RX_TX_MAP_41                             0x1C
#define RX_TX_MAP_42                             0x1E
#define RX_TX_MAP_43                             0x1A
#define RX_TX_MAP_44                             0x00
#define RX_TX_OPEN                               0x00

/* Change the TP Channel Disables 0 */
/* Memory Map Position 0x1246 - 0x1271 */
#define TP_DISABLE_TX0_0                         0x00
#define TP_DISABLE_TX0_1                         0x00
#define TP_DISABLE_TX0_2                         0x00
#define TP_DISABLE_TX0_3                         0x00
#define TP_DISABLE_TX1_0                         0x00
#define TP_DISABLE_TX1_1                         0x00
#define TP_DISABLE_TX1_2                         0x00
#define TP_DISABLE_TX1_3                         0x00
#define TP_DISABLE_TX2_0                         0x00
#define TP_DISABLE_TX2_1                         0x00
#define TP_DISABLE_TX2_2                         0x00
#define TP_DISABLE_TX2_3                         0x00
#define TP_DISABLE_TX3_0                         0x00
#define TP_DISABLE_TX3_1                         0x00
#define TP_DISABLE_TX3_2                         0x00
#define TP_DISABLE_TX3_3                         0x00
#define TP_DISABLE_TX4_0                         0x00
#define TP_DISABLE_TX4_1                         0x00
#define TP_DISABLE_TX4_2                         0x00
#define TP_DISABLE_TX4_3                         0x00
#define TP_DISABLE_TX5_0                         0x00
#define TP_DISABLE_TX5_1                         0x00
#define TP_DISABLE_TX5_2                         0x00
#define TP_DISABLE_TX5_3                         0x00
#define TP_DISABLE_TX6_0                         0x00
#define TP_DISABLE_TX6_1                         0x00
#define TP_DISABLE_TX6_2                         0x00
#define TP_DISABLE_TX6_3                         0x00
#define TP_DISABLE_TX7_0                         0x00
#define TP_DISABLE_TX7_1                         0x00
#define TP_DISABLE_TX7_2                         0x00
#define TP_DISABLE_TX7_3                         0x00
#define TP_DISABLE_TX8_0                         0x00
#define TP_DISABLE_TX8_1                         0x00
#define TP_DISABLE_TX8_2                         0x00
#define TP_DISABLE_TX8_3                         0x00
#define TP_DISABLE_TX9_0                         0x00
#define TP_DISABLE_TX9_1                         0x00
#define TP_DISABLE_TX9_2                         0x00
#define TP_DISABLE_TX9_3                         0x00
#define TP_DISABLE_TX10_0                        0x00
#define TP_DISABLE_TX10_1                        0x00
#define TP_DISABLE_TX10_2                        0x00
#define TP_DISABLE_TX10_3                        0x00

/* Change the TP Channel Disables 1 */
/* Memory Map Position 0x1272 - 0x129D */
#define TP_DISABLE_TX11_0                        0x00
#define TP_DISABLE_TX11_1                        0x00
#define TP_DISABLE_TX11_2                        0x00
#define TP_DISABLE_TX11_3                        0x00
#define TP_DISABLE_TX12_0                        0x00
#define TP_DISABLE_TX12_1                        0x00
#define TP_DISABLE_TX12_2                        0x00
#define TP_DISABLE_TX12_3                        0x00
#define TP_DISABLE_TX13_0                        0x00
#define TP_DISABLE_TX13_1                        0x00
#define TP_DISABLE_TX13_2                        0x00
#define TP_DISABLE_TX13_3                        0x00
#define TP_DISABLE_TX14_0                        0x00
#define TP_DISABLE_TX14_1                        0x00
#define TP_DISABLE_TX14_2                        0x00
#define TP_DISABLE_TX14_3                        0x00
#define TP_DISABLE_TX15_0                        0x00
#define TP_DISABLE_TX15_1                        0x00
#define TP_DISABLE_TX15_2                        0x00
#define TP_DISABLE_TX15_3                        0x00
#define TP_DISABLE_TX16_0                        0x00
#define TP_DISABLE_TX16_1                        0x00
#define TP_DISABLE_TX16_2                        0x00
#define TP_DISABLE_TX16_3                        0x00
#define TP_DISABLE_TX17_0                        0x00
#define TP_DISABLE_TX17_1                        0x00
#define TP_DISABLE_TX17_2                        0x00
#define TP_DISABLE_TX17_3                        0x00
#define TP_DISABLE_TX18_0                        0x00
#define TP_DISABLE_TX18_1                        0x00
#define TP_DISABLE_TX18_2                        0x00
#define TP_DISABLE_TX18_3                        0x00
#define TP_DISABLE_TX19_0                        0x00
#define TP_DISABLE_TX19_1                        0x00
#define TP_DISABLE_TX19_2                        0x00
#define TP_DISABLE_TX19_3                        0x00
#define TP_DISABLE_TX20_0                        0x00
#define TP_DISABLE_TX20_1                        0x00
#define TP_DISABLE_TX20_2                        0x00
#define TP_DISABLE_TX20_3                        0x00
#define TP_DISABLE_TX21_0                        0x00
#define TP_DISABLE_TX21_1                        0x00
#define TP_DISABLE_TX21_2                        0x00
#define TP_DISABLE_TX21_3                        0x00

/* Change the TP Snap Enable 0 */
/* Memory Map Position 0x129E - 0x12C9 */
#define SNAP_ENABLE_TX0_0                        0x00
#define SNAP_ENABLE_TX0_1                        0x00
#define SNAP_ENABLE_TX0_2                        0x00
#define SNAP_ENABLE_TX0_3                        0x00
#define SNAP_ENABLE_TX1_0                        0x00
#define SNAP_ENABLE_TX1_1                        0x00
#define SNAP_ENABLE_TX1_2                        0x00
#define SNAP_ENABLE_TX1_3                        0x00
#define SNAP_ENABLE_TX2_0                        0x00
#define SNAP_ENABLE_TX2_1                        0x00
#define SNAP_ENABLE_TX2_2                        0x00
#define SNAP_ENABLE_TX2_3                        0x00
#define SNAP_ENABLE_TX3_0                        0x00
#define SNAP_ENABLE_TX3_1                        0x00
#define SNAP_ENABLE_TX3_2                        0x00
#define SNAP_ENABLE_TX3_3                        0x00
#define SNAP_ENABLE_TX4_0                        0x00
#define SNAP_ENABLE_TX4_1                        0x00
#define SNAP_ENABLE_TX4_2                        0x00
#define SNAP_ENABLE_TX4_3                        0x00
#define SNAP_ENABLE_TX5_0                        0x00
#define SNAP_ENABLE_TX5_1                        0x00
#define SNAP_ENABLE_TX5_2                        0x00
#define SNAP_ENABLE_TX5_3                        0x00
#define SNAP_ENABLE_TX6_0                        0x00
#define SNAP_ENABLE_TX6_1                        0x00
#define SNAP_ENABLE_TX6_2                        0x00
#define SNAP_ENABLE_TX6_3                        0x00
#define SNAP_ENABLE_TX7_0                        0x00
#define SNAP_ENABLE_TX7_1                        0x00
#define SNAP_ENABLE_TX7_2                        0x00
#define SNAP_ENABLE_TX7_3                        0x00
#define SNAP_ENABLE_TX8_0                        0x00
#define SNAP_ENABLE_TX8_1                        0x00
#define SNAP_ENABLE_TX8_2                        0x00
#define SNAP_ENABLE_TX8_3                        0x00
#define SNAP_ENABLE_TX9_0                        0x00
#define SNAP_ENABLE_TX9_1                        0x00
#define SNAP_ENABLE_TX9_2                        0x00
#define SNAP_ENABLE_TX9_3                        0x00
#define SNAP_ENABLE_TX10_0                       0x00
#define SNAP_ENABLE_TX10_1                       0x00
#define SNAP_ENABLE_TX10_2                       0x00
#define SNAP_ENABLE_TX10_3                       0x00

/* Change the TP Snap Enable 1 */
/* Memory Map Position 0x12CA - 0x12F5 */
#define SNAP_ENABLE_TX11_0                       0x00
#define SNAP_ENABLE_TX11_1                       0x00
#define SNAP_ENABLE_TX11_2                       0x00
#define SNAP_ENABLE_TX11_3                       0x00
#define SNAP_ENABLE_TX12_0                       0x00
#define SNAP_ENABLE_TX12_1                       0x00
#define SNAP_ENABLE_TX12_2                       0x00
#define SNAP_ENABLE_TX12_3                       0x00
#define SNAP_ENABLE_TX13_0                       0x00
#define SNAP_ENABLE_TX13_1                       0x00
#define SNAP_ENABLE_TX13_2                       0x00
#define SNAP_ENABLE_TX13_3                       0x00
#define SNAP_ENABLE_TX14_0                       0x00
#define SNAP_ENABLE_TX14_1                       0x00
#define SNAP_ENABLE_TX14_2                       0x00
#define SNAP_ENABLE_TX14_3                       0x00
#define SNAP_ENABLE_TX15_0                       0x00
#define SNAP_ENABLE_TX15_1                       0x00
#define SNAP_ENABLE_TX15_2                       0x00
#define SNAP_ENABLE_TX15_3                       0x00
#define SNAP_ENABLE_TX16_0                       0x00
#define SNAP_ENABLE_TX16_1                       0x00
#define SNAP_ENABLE_TX16_2                       0x00
#define SNAP_ENABLE_TX16_3                       0x00
#define SNAP_ENABLE_TX17_0                       0x00
#define SNAP_ENABLE_TX17_1                       0x00
#define SNAP_ENABLE_TX17_2                       0x00
#define SNAP_ENABLE_TX17_3                       0x00
#define SNAP_ENABLE_TX18_0                       0x00
#define SNAP_ENABLE_TX18_1                       0x00
#define SNAP_ENABLE_TX18_2                       0x00
#define SNAP_ENABLE_TX18_3                       0x00
#define SNAP_ENABLE_TX19_0                       0x00
#define SNAP_ENABLE_TX19_1                       0x00
#define SNAP_ENABLE_TX19_2                       0x00
#define SNAP_ENABLE_TX19_3                       0x00
#define SNAP_ENABLE_TX20_0                       0x00
#define SNAP_ENABLE_TX20_1                       0x00
#define SNAP_ENABLE_TX20_2                       0x00
#define SNAP_ENABLE_TX20_3                       0x00
#define SNAP_ENABLE_TX21_0                       0x00
#define SNAP_ENABLE_TX21_1                       0x00
#define SNAP_ENABLE_TX21_2                       0x00
#define SNAP_ENABLE_TX21_3                       0x00

/* Change the Individual Touch Threshold Adjustments */
/* Memory Map Position 0x12F6 - 0x12FF */
#define TT_ADJUST_CH0                            0x00
#define TT_ADJUST_CH1                            0x00
#define TT_ADJUST_CH2                            0x00
#define TT_ADJUST_CH3                            0x00
#define TT_ADJUST_CH4                            0x00
#define TT_ADJUST_CH5                            0x00
#define TT_ADJUST_CH6                            0x00
#define TT_ADJUST_CH7                            0x00
#define TT_ADJUST_CH8                            0x00
#define TT_ADJUST_CH9                            0x00

/* Change the Virtual Buttons 0 */
/* Memory Map Position 0x14F0 - 0x1511 */
#define NUMBER_OF_VIRTUAL_SENSORS_0              0x00
#define NUMBER_OF_VIRTUAL_SENSORS_1              0x00
#define B0_TOP_LEFT_X_0                          0x9B
#define B0_TOP_LEFT_X_1                          0x00
#define B0_TOP_LEFT_Y_0                          0x55
#define B0_TOP_LEFT_Y_1                          0x00
#define B0_BOT_RIGHT_X_0                         0xF0
#define B0_BOT_RIGHT_X_1                         0x00
#define B0_BOT_RIGHT_Y_0                         0xD2
#define B0_BOT_RIGHT_Y_1                         0x00
#define B1_TOP_LEFT_X_0                          0xD6
#define B1_TOP_LEFT_X_1                          0x01
#define B1_TOP_LEFT_Y_0                          0x7D
#define B1_TOP_LEFT_Y_1                          0x00
#define B1_BOT_RIGHT_X_0                         0x71
#define B1_BOT_RIGHT_X_1                         0x02
#define B1_BOT_RIGHT_Y_0                         0xB9
#define B1_BOT_RIGHT_Y_1                         0x00
#define B2_TOP_LEFT_X_0                          0x6E
#define B2_TOP_LEFT_X_1                          0x00
#define B2_TOP_LEFT_Y_0                          0x68
#define B2_TOP_LEFT_Y_1                          0x01
#define B2_BOT_RIGHT_X_0                         0x04
#define B2_BOT_RIGHT_X_1                         0x01
#define B2_BOT_RIGHT_Y_0                         0xFE
#define B2_BOT_RIGHT_Y_1                         0x01
#define B3_TOP_LEFT_X_0                          0xD6
#define B3_TOP_LEFT_X_1                          0x01
#define B3_TOP_LEFT_Y_0                          0x68
#define B3_TOP_LEFT_Y_1                          0x01
#define B3_BOT_RIGHT_X_0                         0x71
#define B3_BOT_RIGHT_X_1                         0x02
#define B3_BOT_RIGHT_Y_0                         0xFE
#define B3_BOT_RIGHT_Y_1                         0x01

/* Change the Virtual Buttons 1 */
/* Memory Map Position 0x1512 - 0x1541 */
#define B4_TOP_LEFT_X_0                          0x50
#define B4_TOP_LEFT_X_1                          0x00
#define B4_TOP_LEFT_Y_0                          0x85
#define B4_TOP_LEFT_Y_1                          0x02
#define B4_BOT_RIGHT_X_0                         0x2C
#define B4_BOT_RIGHT_X_1                         0x01
#define B4_BOT_RIGHT_Y_0                         0xFD
#define B4_BOT_RIGHT_Y_1                         0x02
#define B5_TOP_LEFT_X_0                          0xD6
#define B5_TOP_LEFT_X_1                          0x01
#define B5_TOP_LEFT_Y_0                          0x4E
#define B5_TOP_LEFT_Y_1                          0x02
#define B5_BOT_RIGHT_X_0                         0x71
#define B5_BOT_RIGHT_X_1                         0x02
#define B5_BOT_RIGHT_Y_0                         0x25
#define B5_BOT_RIGHT_Y_1                         0x03
#define B6_TOP_LEFT_X_0                          0x4C
#define B6_TOP_LEFT_X_1                          0x04
#define B6_TOP_LEFT_Y_0                          0x54
#define B6_TOP_LEFT_Y_1                          0x01
#define B6_BOT_RIGHT_X_0                         0x64
#define B6_BOT_RIGHT_X_1                         0x05
#define B6_BOT_RIGHT_Y_0                         0x58
#define B6_BOT_RIGHT_Y_1                         0x02
#define B7_TOP_LEFT_X_0                          0x00
#define B7_TOP_LEFT_X_1                          0x00
#define B7_TOP_LEFT_Y_0                          0x00
#define B7_TOP_LEFT_Y_1                          0x00
#define B7_BOT_RIGHT_X_0                         0x00
#define B7_BOT_RIGHT_X_1                         0x00
#define B7_BOT_RIGHT_Y_0                         0x00
#define B7_BOT_RIGHT_Y_1                         0x00
#define B8_TOP_LEFT_X_0                          0x00
#define B8_TOP_LEFT_X_1                          0x00
#define B8_TOP_LEFT_Y_0                          0x00
#define B8_TOP_LEFT_Y_1                          0x00
#define B8_BOT_RIGHT_X_0                         0x00
#define B8_BOT_RIGHT_X_1                         0x00
#define B8_BOT_RIGHT_Y_0                         0x00
#define B8_BOT_RIGHT_Y_1                         0x00
#define B9_TOP_LEFT_X_0                          0x00
#define B9_TOP_LEFT_X_1                          0x00
#define B9_TOP_LEFT_Y_0                          0x00
#define B9_TOP_LEFT_Y_1                          0x00
#define B9_BOT_RIGHT_X_0                         0x00
#define B9_BOT_RIGHT_X_1                         0x00
#define B9_BOT_RIGHT_Y_0                         0x00
#define B9_BOT_RIGHT_Y_1                         0x00

/* Change the Virtual Buttons 2 */
/* Memory Map Position 0x1542 - 0x1571 */
#define B10_TOP_LEFT_X_0                         0x00
#define B10_TOP_LEFT_X_1                         0x00
#define B10_TOP_LEFT_Y_0                         0x00
#define B10_TOP_LEFT_Y_1                         0x00
#define B10_BOT_RIGHT_X_0                        0x00
#define B10_BOT_RIGHT_X_1                        0x00
#define B10_BOT_RIGHT_Y_0                        0x00
#define B10_BOT_RIGHT_Y_1                        0x00
#define B11_TOP_LEFT_X_0                         0x00
#define B11_TOP_LEFT_X_1                         0x00
#define B11_TOP_LEFT_Y_0                         0x00
#define B11_TOP_LEFT_Y_1                         0x00
#define B11_BOT_RIGHT_X_0                        0x00
#define B11_BOT_RIGHT_X_1                        0x00
#define B11_BOT_RIGHT_Y_0                        0x00
#define B11_BOT_RIGHT_Y_1                        0x00
#define B12_TOP_LEFT_X_0                         0x00
#define B12_TOP_LEFT_X_1                         0x00
#define B12_TOP_LEFT_Y_0                         0x00
#define B12_TOP_LEFT_Y_1                         0x00
#define B12_BOT_RIGHT_X_0                        0x00
#define B12_BOT_RIGHT_X_1                        0x00
#define B12_BOT_RIGHT_Y_0                        0x00
#define B12_BOT_RIGHT_Y_1                        0x00
#define B13_TOP_LEFT_X_0                         0x00
#define B13_TOP_LEFT_X_1                         0x00
#define B13_TOP_LEFT_Y_0                         0x00
#define B13_TOP_LEFT_Y_1                         0x00
#define B13_BOT_RIGHT_X_0                        0x00
#define B13_BOT_RIGHT_X_1                        0x00
#define B13_BOT_RIGHT_Y_0                        0x00
#define B13_BOT_RIGHT_Y_1                        0x00
#define B14_TOP_LEFT_X_0                         0x00
#define B14_TOP_LEFT_X_1                         0x00
#define B14_TOP_LEFT_Y_0                         0x00
#define B14_TOP_LEFT_Y_1                         0x00
#define B14_BOT_RIGHT_X_0                        0x00
#define B14_BOT_RIGHT_X_1                        0x00
#define B14_BOT_RIGHT_Y_0                        0x00
#define B14_BOT_RIGHT_Y_1                        0x00
#define B15_TOP_LEFT_X_0                         0x00
#define B15_TOP_LEFT_X_1                         0x00
#define B15_TOP_LEFT_Y_0                         0x00
#define B15_TOP_LEFT_Y_1                         0x00
#define B15_BOT_RIGHT_X_0                        0x00
#define B15_BOT_RIGHT_X_1                        0x00
#define B15_BOT_RIGHT_Y_0                        0x00
#define B15_BOT_RIGHT_Y_1                        0x00

/* Change the Virtual Sliders 0 */
/* Memory Map Position 0x1572 - 0x15A5 */
#define SLIDER_DEADZONE_0                        0x64
#define SLIDER_DEADZONE_1                        0x00
#define S0_TOP_LEFT_X_0                          0x32
#define S0_TOP_LEFT_X_1                          0x00
#define S0_TOP_LEFT_Y_0                          0x8E
#define S0_TOP_LEFT_Y_1                          0x03
#define S0_BOT_RIGHT_X_0                         0x72
#define S0_BOT_RIGHT_X_1                         0x06
#define S0_BOT_RIGHT_Y_0                         0xE8
#define S0_BOT_RIGHT_Y_1                         0x03
#define S0_RESOLUTION_0                          0xE8
#define S0_RESOLUTION_1                          0x03
#define S1_TOP_LEFT_X_0                          0xF4
#define S1_TOP_LEFT_X_1                          0x06
#define S1_TOP_LEFT_Y_0                          0x50
#define S1_TOP_LEFT_Y_1                          0x00
#define S1_BOT_RIGHT_X_0                         0x8A
#define S1_BOT_RIGHT_X_1                         0x07
#define S1_BOT_RIGHT_Y_0                         0xE8
#define S1_BOT_RIGHT_Y_1                         0x03
#define S1_RESOLUTION_0                          0xE8
#define S1_RESOLUTION_1                          0x03
#define S2_TOP_LEFT_X_0                          0x00
#define S2_TOP_LEFT_X_1                          0x00
#define S2_TOP_LEFT_Y_0                          0x00
#define S2_TOP_LEFT_Y_1                          0x00
#define S2_BOT_RIGHT_X_0                         0x00
#define S2_BOT_RIGHT_X_1                         0x00
#define S2_BOT_RIGHT_Y_0                         0x00
#define S2_BOT_RIGHT_Y_1                         0x00
#define S2_RESOLUTION_0                          0x00
#define S2_RESOLUTION_1                          0x00
#define S3_TOP_LEFT_X_0                          0x00
#define S3_TOP_LEFT_X_1                          0x00
#define S3_TOP_LEFT_Y_0                          0x00
#define S3_TOP_LEFT_Y_1                          0x00
#define S3_BOT_RIGHT_X_0                         0x00
#define S3_BOT_RIGHT_X_1                         0x00
#define S3_BOT_RIGHT_Y_0                         0x00
#define S3_BOT_RIGHT_Y_1                         0x00
#define S3_RESOLUTION_0                          0x00
#define S3_RESOLUTION_1                          0x00
#define S4_TOP_LEFT_X_0                          0x00
#define S4_TOP_LEFT_X_1                          0x00
#define S4_TOP_LEFT_Y_0                          0x00
#define S4_TOP_LEFT_Y_1                          0x00
#define S4_BOT_RIGHT_X_0                         0x00
#define S4_BOT_RIGHT_X_1                         0x00
#define S4_BOT_RIGHT_Y_0                         0x00
#define S4_BOT_RIGHT_Y_1                         0x00
#define S4_RESOLUTION_0                          0x00
#define S4_RESOLUTION_1                          0x00

/* Change the Virtual Sliders 1 */
/* Memory Map Position 0x15A6 - 0x15C3 */
#define S5_TOP_LEFT_X_0                          0x00
#define S5_TOP_LEFT_X_1                          0x00
#define S5_TOP_LEFT_Y_0                          0x00
#define S5_TOP_LEFT_Y_1                          0x00
#define S5_BOT_RIGHT_X_0                         0x00
#define S5_BOT_RIGHT_X_1                         0x00
#define S5_BOT_RIGHT_Y_0                         0x00
#define S5_BOT_RIGHT_Y_1                         0x00
#define S5_RESOLUTION_0                          0x00
#define S5_RESOLUTION_1                          0x00
#define S6_TOP_LEFT_X_0                          0x00
#define S6_TOP_LEFT_X_1                          0x00
#define S6_TOP_LEFT_Y_0                          0x00
#define S6_TOP_LEFT_Y_1                          0x00
#define S6_BOT_RIGHT_X_0                         0x00
#define S6_BOT_RIGHT_X_1                         0x00
#define S6_BOT_RIGHT_Y_0                         0x00
#define S6_BOT_RIGHT_Y_1                         0x00
#define S6_RESOLUTION_0                          0x00
#define S6_RESOLUTION_1                          0x00
#define S7_TOP_LEFT_X_0                          0x00
#define S7_TOP_LEFT_X_1                          0x00
#define S7_TOP_LEFT_Y_0                          0x00
#define S7_TOP_LEFT_Y_1                          0x00
#define S7_BOT_RIGHT_X_0                         0x00
#define S7_BOT_RIGHT_X_1                         0x00
#define S7_BOT_RIGHT_Y_0                         0x00
#define S7_BOT_RIGHT_Y_1                         0x00
#define S7_RESOLUTION_0                          0x00
#define S7_RESOLUTION_1                          0x00

/* Change the Virtual Wheels */
/* Memory Map Position 0x15C4 - 0x15EB */
#define W0_CENTRE_X_0                            0xD3
#define W0_CENTRE_X_1                            0x04
#define W0_CENTRE_Y_0                            0xC2
#define W0_CENTRE_Y_1                            0x01
#define W0_INNER_RADIUS_0                        0xFA
#define W0_INNER_RADIUS_1                        0x00
#define W0_OUTER_RADIUS_0                        0xAE
#define W0_OUTER_RADIUS_1                        0x01
#define W0_RESOLUTION_0                          0x68
#define W0_RESOLUTION_1                          0x01
#define W1_CENTRE_X_0                            0x00
#define W1_CENTRE_X_1                            0x00
#define W1_CENTRE_Y_0                            0x00
#define W1_CENTRE_Y_1                            0x00
#define W1_INNER_RADIUS_0                        0x00
#define W1_INNER_RADIUS_1                        0x00
#define W1_OUTER_RADIUS_0                        0x00
#define W1_OUTER_RADIUS_1                        0x00
#define W1_RESOLUTION_0                          0x00
#define W1_RESOLUTION_1                          0x00
#define W2_CENTRE_X_0                            0x00
#define W2_CENTRE_X_1                            0x00
#define W2_CENTRE_Y_0                            0x00
#define W2_CENTRE_Y_1                            0x00
#define W2_INNER_RADIUS_0                        0x00
#define W2_INNER_RADIUS_1                        0x00
#define W2_OUTER_RADIUS_0                        0x00
#define W2_OUTER_RADIUS_1                        0x00
#define W2_RESOLUTION_0                          0x00
#define W2_RESOLUTION_1                          0x00
#define W3_CENTRE_X_0                            0x00
#define W3_CENTRE_X_1                            0x00
#define W3_CENTRE_Y_0                            0x00
#define W3_CENTRE_Y_1                            0x00
#define W3_INNER_RADIUS_0                        0x00
#define W3_INNER_RADIUS_1                        0x00
#define W3_OUTER_RADIUS_0                        0x00
#define W3_OUTER_RADIUS_1                        0x00
#define W3_RESOLUTION_0                          0x00
#define W3_RESOLUTION_1                          0x00

#endif	/* IQS9150_INIT_H */